## resvg_render

# Function resvg_render

Source

    #[unsafe(no_mangle)]pub extern "C" fn resvg_render(
        tree: *const resvg_render_tree,
        transform: resvg_transform,
        width: u32,
        height: u32,
        pixmap: *mut c_char,
    )

Expand description

@brief Renders the #resvg_render_tree onto the pixmap.

@param tree A render tree. @param transform A root SVG transform. Can be used to position SVG inside the `pixmap`. @param width Pixmap width. @param height Pixmap height. @param pixmap Pixmap data. Should have widthheight4 size and contain premultiplied RGBA8888 pixels.